| LightHub v4.0.0 Smarthome controller firmware

Public Member Functions | Protected Member Functions | List of all members
in_hdc1080 Class Reference

`#include <in_ccs811_hdc1080.h>`

Inheritance diagram for in_hdc1080:

## Public Member Functions
| in_hdc1080 (Input *_in)
int | Setup () override
int | Poll (short cause) override
Public Member Functions inherited from abstractIn
| abstractIn (Input *_in)
Public Member Functions inherited from abstractCh
| abstractCh ()
virtual | ~abstractCh ()
virtual int | Anounce ()
virtual int | Stop ()
virtual int | Status ()

## Protected Member Functions
void | printSerialNumber ()
Protected Member Functions inherited from abstractIn
int | publish (long value, const char *subtopic=NULL)
int | publish (float value, const char *subtopic=NULL)
int | publish (char *value, const char *subtopic=NULL)
Protected Member Functions inherited from abstractCh
virtual int | publishTopic (const char *topic, long value, const char *subtopic=NULL)
virtual int | publishTopic (const char *topic, float value, const char *subtopic=NULL)
virtual int | publishTopic (const char *topic, const char *value, const char *subtopic=NULL)

## Additional Inherited Members
Protected Attributes inherited from abstractIn
Input * | in
friend | Input

## Constructor & Destructor Documentation

## ◆ in_hdc1080()

in_hdc1080::in_hdc1080 | ( | Input * | _in | ) |
| inline

## Member Function Documentation

## ◆ Poll()

int in_hdc1080::Poll | ( | short | cause | ) |
| override virtual

Implements abstractCh.

## ◆ printSerialNumber()

void in_hdc1080::printSerialNumber | ( |  | ) |
| protected

## ◆ Setup()

int in_hdc1080::Setup | ( |  | ) |
| override virtual

Implements abstractCh.

The documentation for this class was generated from the following files:

- modules/in_ccs811_hdc1080.h
- modules/in_ccs811_hdc1080.cpp